﻿/****HEADER***/


.header--transparent:not(.onepage) #SiteHeader { background-color: transparent; color: #fff; }
.header--transparent:not(.onepage) #SiteHeader svg { fill: #fff; }
.header--transparent:not(.onepage) #SiteHeader.active { background-color: #fff; color: #000; }
.header--transparent #SiteHeader.active svg, .homepage #SiteHeader.active svg path { fill: #000; transition: .35s ease-in-out fill; }
.header--transparent.onepage #SiteHeader.active { background-color: #fff; }

#SiteHeader { position: fixed; top: 0; left: 0; right: 0; z-index: 100; width: 100%; background: #fff; color: #000; padding: 0 30px; transition: .35s ease-in-out background-color; }
.header-wrap { display: flex; justify-content: space-between; align-items: center; height: 90px; /* padding: 0 54px; */ max-width: 1760px; margin: 0 auto; }
.header-menu { display: flex; align-items: stretch; height: 100%; }
.header-menu .navbar-collapse > ul { display: flex; align-items: center; margin: 0; height: 100%; font-family: 'NarkissBlockonezero-Medium', sans-serif; }
.header-menu .navbar-collapse > ul > li { height: 100%; display: flex; align-items: center; padding: 0 30px; }
.header-menu .navbar-collapse > ul > li > a,
.header-menu .navbar-collapse > ul > li > a + button path { transition: .35s ease; }
.header-menu .navbar-collapse > ul > li > a:hover, .header-menu .navbar-collapse > ul > li > a:hover + button path { color: #979797; fill: #979797; }

.header-menu ul li a { font-size: 90%; line-height: normal; }
.header-menu ul li:not(:first-child) { line-height: .7; position: relative; }
.header-menu ul li.has-sub { position: relative; }
.header-menu .navbar-collapse > ul > li > a { height: auto; display: flex; align-items: center; position: relative; font-family: 'NarkissBlockonezero-Medium'; line-height: 1; margin-bottom: -2px; }
.header-menu .generalBtn { align-self: center; margin-left: 20px; }
.header-menu .dropdown-menu { position: absolute; top: 111%; top: calc(100% + 10px); right: 15px; display: none; text-align: start; margin: 0; float: none; border: none; border-radius: 10px; box-shadow: 0px 4px 10px rgb(0 0 0 / 20%); padding: 0 25px; font-size: 100%; width: max-content; min-width: 204px; overflow: hidden; }
.header-menu .dropdown-menu > li:not(:last-child) { /* margin-bottom: 15px; */ }
.header-menu .navbar-collapse.collapse { align-self: stretch; }
.header-menu .dropdown-menu > li > a { padding: 15px 0; /* font-size: 90%; */ line-height: 1.4; }
.header-menu .dropdown-menu > li > a:hover, .header-menu .dropdown-menu > li > a:focus { background: none; }
.header-menu .navbar-collapse > ul > li > a:not(.generalBtn):hover::after { opacity: 1; }
.navbar-toggle { display: none; }
.header-logo a { display: block; }
.header-logo svg { display: block; fill: #000; }
.header-phone a { direction: ltr;}

.navbar-toggle { border-radius: 0%; border: 0; padding: 0; transition: all 500ms ease; background: none; margin: 0 0 0 24px; float: none; }
.navbar-toggle .icon-bar { transition: all 250ms ease-in-out; -webkit-transition: all 250ms ease-in-out; background-color: #2b2e34; height: 2px; width: 24px; }
.navbar-toggle .icon-bar + .icon-bar { margin-top: 5px; }
.navbar-toggle:not(.collapsed) .icon-bar.up { -webkit-transform: rotate(-45deg); -moz-transform: rotate(-45deg); -ms-transform: rotate(-45deg); -o-transform: rotate(-45deg); margin-top: 0px; }
.navbar-toggle:not(.collapsed) .icon-bar + .icon-bar:not(.up):not(.down) { transform: rotate(45deg); -webkit-transform: rotate(45deg); -moz-transform: rotate(45deg); -ms-transform: rotate(45deg); -o-transform: rotate(45deg); margin-top: -3px; }
.navbar-toggle:not(.collapsed) .icon-bar.down { display: none; }
.navbar-toggle .icon-bar { transition: all 250ms ease-in-out; -webkit-transition: all 250ms ease-in-out; background-color: #2b2e34; height: 2px; width: 24px; }
.open > .dropdown-toggle { transform: rotate(180deg); transform-origin: center; }

.dropdown-toggle.btn-default { background: none !important; box-shadow: none; border: none !important; width: auto; font-size: 0; height: auto; flex: 0 auto; padding: 0; margin-right: 6px; }

@media(min-width:1025px) and (max-width: 1240px) {
    /*#SiteHeader { padding-right: 20px; padding-left: 20px; }*/
    .header-menu ul li a { white-space: nowrap; padding: 0 8px; }
    .header-menu .navbar-collapse > ul > li { padding: 0 15px; }
}

@media(max-width: 1024px) {
    .header--transparent:not(.onepage) #SiteHeader:not(.open):not(.active) .icon-bar { background-color: #fff; }
    #SiteHeader { color: #000 !important; }
    #SiteHeader.open .icon-bar { background-color: #000; }
    #SiteHeader.open .header-logo svg { fill: #000; transition-delay: .3s; }
    #SiteHeader.open .dropdown svg { fill: #000; }

    .navbar-toggle { display: block; z-index: 1; }
    #navbar-collapse-main { padding: 0px; font-size: 105%; background-color: #fff; margin: 0; position: fixed; width: 372px; right: -372px; top: 70px; z-index: 1; height: 100vh !important; transition: all 400ms ease-out; -webkit-transition: all 400ms ease-out; letter-spacing: 0.63px; box-shadow: none; }
    #navbar-collapse-main { width: 85%; direction: rtl; overflow-y: auto; background-image: none; right: -100%; display: block; padding: 0 15px; border: none; border-top: 1px solid #f5f5f5; top: 0; right: 0; transform: translateX(100%); z-index: 0; }
    #navbar-collapse-main:before { opacity: 1; }
    #navbar-collapse-main ul { height: auto; width: 100%; max-width: 100%; margin-top: 123px; font-size: 100%; }
    #navbar-collapse-main ul > li > a { font-size: 120%; font-family: 'NarkissBlockonezero-Medium', sans-serif; letter-spacing: normal; padding: 4px 0; }
    #navbar-collapse-main ul > li > .dropdown-menu { border-radius: 0px; background-color: transparent; position: static; transform: none; flex: 1 0 100%; margin-top: 0; box-shadow: none; padding: 0; text-align: start; }
    #navbar-collapse-main ul > li > .dropdown-menu > li > a { /* color: #999; */ /* line-height: normal; */ font-size: 100%; padding-top: 8px; padding-bottom: 8px; }
    #navbar-collapse-main ul > li > .dropdown-menu > li > a:hover { color: #333; }
    #navbar-collapse-main.in { transform: translateX(0); width: 100%; }
    .header-menu .navbar-collapse > ul > li > a:not(.generalBtn):after { content: none; }
    .header-wrap { /* padding: 15px; */ height: 70px; z-index: 1; }
    .header-menu ul { flex-direction: column; align-items: stretch; }
    .header-menu .navbar-collapse > ul > li:not(:last-child) { margin-bottom: 22px; }
    .header-menu .navbar-collapse > ul > li { width: 100%; flex-wrap: wrap; justify-content: flex-start; padding: 0; }
    .header-menu ul li { display: block; }
    .header-menu ul li a { padding: 15px 0; display: block; line-height: .7; letter-spacing: normal; font-family: 'NarkissBlockonezero-Medium', sans-serif; }
    .header-menu .dropdown-menu > li:not(:last-child) { border-bottom: none; }
    .dropdown-toggle.btn-default { margin-right: 9px; width: 14px; height: 8px; background-size: 100%; }
    .header-menu .navbar-collapse > ul > li.active { color: #007aff; }
    .header-logo { z-index: 1; }
    #navbar-collapse-main { position: fixed; }
    .back-drop { position: fixed; inset: 0; background: rgba(0,0,0, 0.6); z-index: 0; top: 0; opacity: 0; transition: 0.3s all ease-in-out; pointer-events: none; z-index: -1; }
    .in + .back-drop { opacity: 1; pointer-events: auto; }
    #SiteHeader.active .navbar-toggle .icon-bar { background-color: #000; }
}

@media(max-width: 767px) {
    #SiteHeader { padding: 0 15px;}
    .header-logo svg { max-width: 120px; width: 120px; height: 22px; transition: .5s ease-in-out; transition-delay: 0s; }
    .header-menu a.generalBtn { display: none; }
}

@media(max-width: 360px) {
    .navbar-toggle { margin-left: 15px; }
    .header-menu a.generalBtn { font-size: 75%; }
}


.ui-selectmenu-text { margin-right: 35px; }
.ui-selectmenu-button.ui-button, .ui-selectmenu-button.ui-button:focus { border: none; border-radius: 0; background: transparent; color: #fff; text-align: right; padding: 0; font-size: 75%; margin: 0; width: 100px; }
.ui-button .ui-icon, .ui-button:hover .ui-icon { position: relative; bottom: -20px; right: 35px; }

.langsMenu span.ui-selectmenu-icon.ui-icon.ui-icon-triangle-1-s { background-image: url(/National_Library/oe_/https://www.onezerobank.com/000Frames/site/images/lang-arrow.svg); background-position: center; }

.ui-menu .ui-menu-item-wrapper { padding: 0; padding-right: 0; font-size: 76%; line-height: 1; }
.ui-menu .ui-menu-item { margin-right: 55px; margin-top: 5px; }
.ui-state-active,
.ui-widget-content .ui-state-active { background: transparent; border: none; color: inherit; }
ul li.ui-widget-content { background: none; text-align: right; color: #fff; }
.ui-widget.ui-widget-content { border: none; background: transparent; color: #fff; text-align: right; /* max-height: 0; */ /* overflow: hidden; */ transition: all 4000ms ease-out; -webkit-transition: all 4000ms ease-out; height: 200px; }
